Subject: [spring] I-D Action: draft-ietf-spring-srv6-network-programming-07.txt

From: [email-masked]
Date: Thu, 19 Dec 2019 03:46:11 -0800

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Source Packet Routing in Networking WG of the IETF.

        Title           : SRv6 Network Programming
        Authors         : Clarence Filsfils
                          Pablo Camarillo Garvia
                          John Leddy
                          Daniel Voyer
                          Satoru Matsushima
                          Zhenbin Li
	Filename        : draft-ietf-spring-srv6-network-programming-07.txt
	Pages           : 38
	Date            : 2019-12-19

Abstract:
   The SRv6 Network Programming framework enables a network operator or
   an application to specify a packet packet processing program by
   encoding a sequence of instructions in the IPv6 packet header.

   Each instruction is implemented on one or several nodes in the
   network and identified by an SRv6 Segment Identifier in the packet.

   This document defines the SRv6 Network Programming concept and
   specifies the base set of SRv6 behaviors that enables the creation of
   interoperable overlays with underlay optimization (Service Level
   Agreements).

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-spring-srv6-network-programming/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-ietf-spring-srv6-network-programming-07
https://datatracker.ietf.org/doc/html/draft-ietf-spring-srv6-network-programming-07

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-spring-srv6-network-programming-07

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: "Pablo Camarillo (pcamaril)" <[email-masked]>
Date: Thu, 19 Dec 2019 11:51:20 +0000

Hi SPRING,

We have published a new revision of draft-ietf-spring-srv6-network-programming that addresses comments received throughout this week.
Many thanks to those who have reviewed. I will be replying individually to each thread.

Human readable diff below.

Thank you,
Pablo (on behalf of coauthors).

Diff:
-	Removed unclear sentence in terminology section related to Reduced SRH as requested by Brian
-	Clarification on how ARGs are established as requested by Adrian
-	Updated End.X pseudocode to address concerns as per the conversation with Ron
-	Updated End.DT2M behavior to improve the definition of Arg.FE2
-	Renamed Transit Behaviors section as discussed with Adrian
o		Removed base transit behavior (not standardizing anything at all)
o		Renamed section to capture that these are “SR Policy Headend behaviors”
o		Renamed T.Encaps (and others) into H.Encaps
-	Few minor editorial changes on section 8 to improve readability
-	Fixed typo on IANA section (9.2)
-	Removed reference for draft-ietf-spring-segment-routing-policy. All text needed is covered in RFC8402.

-----Original Message-----
From: spring <[email-masked]> on behalf of "[email-masked]" <[email-masked]>
Reply to: "[email-masked]" <[email-masked]>
Date: Thursday, 19 December 2019 at 12:46
To: "[email-masked]" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Subject: [spring] I-D Action: draft-ietf-spring-srv6-network-programming-07.txt

    
    Abstract:

    

    
    
    _______________________________________________
    spring mailing list
    [email-masked]
    https://www.ietf.org/mailman/listinfo/spring

---

From: Stefano Salsano <[email-masked]>
Date: Tue, 24 Dec 2019 00:35:53 +0100

> We have published a new revision of draft-ietf-spring-srv6-network-programming that addresses comments received throughout this week.
[...]
> -	Renamed Transit Behaviors section as discussed with Adrian

Hi Pablo,

I strongly agree with this change... it was misleading to refer to the 
encapsulation behaviors as "transit" behaviors

please align the terminology according to this change, my suggestions 
follow:

1) in section 7 Security Consideration
errata: This document introduces SRv6 Endpoint and Transit Nodes behaviors
corrige: This document introduces SRv6 Endpoint and SR Policy Headend 
behaviors

2) in section 8.4
errata: The following table summarizes which transit capabilities are
corrige: The following table summarizes which SR Policy Headend 
capabilities are

errata: Table 2: SRv6 transit behaviors signaling
corrige: Table 2: SRv6 Policy Headend behaviors signaling

3) in section 5.1
errata: The H.Encaps transit encapsulation behavior
corrige: The H.Encaps encapsulation behavior

ciao
Stefano

-- 
*******************************************************************
Stefano Salsano
Professore Associato
Dipartimento Ingegneria Elettronica
Universita' di Roma Tor Vergata
Viale Politecnico, 1 - 00133 Roma - ITALY

http://netgroup.uniroma2.it/Stefano_Salsano/

E-mail  : [email-masked]
Cell.   : +39 320 4307310
Office  : (Tel.) +39 06 72597770 (Fax.) +39 06 72597435
*******************************************************************